DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# system-id-filename

## Name

system-id-filename -- Returns the filename part of the system id of target

## Synopsis

    (system-id-filename target)

## Description

The entity-generated-system-id of target seems to begin with a keyword, usually OSFILE on my system, in angle brackets. This function removes the leading OSFILE bit.

## Author

Norman Walsh, <ndw@nwalsh.com>

## Source Code

    (define (system-id-filename target)
      ;; Returns the filename part of the system id of target
      (let* ((sysid  (entity-generated-system-id target))
    	 (fnbits (split sysid '(#\>)))
    	 (fntail (cdr fnbits)))
        (join fntail "\U-0061;")))

Prev | Home | Next
url-encode-string | Up | trim-string